#
#	File:		USBModem.make
#
#	Contains:	Make file for USB Modem Driver
#
#	Version:	xxx put version here xxx
#
#	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.
#
#

MAKEFILE     = USBModem.make

MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

DriverName	 = USBModem
Includes     = -i {USBInterfacesInternal},{USBInterfacesExternal}
SymPPC      = -sym on 
ObjDirPPC   = {USBObjects}
ModemDriverTarget	= {USBTargets}Drivers:{DriverName}

PPCCOptions  = {Includes} {SymPPC} 

ObjectsPPC  = 
		"{ObjDirPPC}ModemDriver.c.x" 						
		"{ObjDirPPC}ModemStub.c.x"							
		"{ObjDirPPC}ShimSerialStub.c.x"					
		"{ObjDirPPC}ShimSerialHAL.c.x"

modemDriver  {ModemDriverTarget}

{ModemDriverTarget}  										
				{MondoBuild} 								
				{ObjectsPPC}								
				"{USBInterfacesInternal}USBClassDriver.exp"
	PPCLink 
	 -map "{USBMapDir}USBModem.map"							
		-t 'ndrv'											
		-c 'usbd'											
		-o {ModemDriverTarget} {SymPPC} 					
		{ObjectsPPC} 										
		-xm sharedlibrary									
		-init InitDriver									
		-share context										
		-@export "{USBInterfacesInternal}USBClassDriver.exp"
		-export SerHAL_Entry								
		"{USBLibraries}USBServicesLib" 						
		"{SharedLibraries}InterfaceLib" 					
		"{SharedLibraries}NameRegistryLib"					
		"{SharedLibraries}DriverLoaderLib"					
		"{SharedLibraries}DriverServicesLib" 				
		"{SharedLibraries}PCILib"							
		"{SharedLibraries}StdCLib"							
		"{PPCLibraries}PPCCRuntime.o"


"{ObjDirPPC}modemDriver.c.x"  {MondoBuild} 											
										ModemDriver.c									
										ModemDriver.h									
										Modem.h											
										"{USBInterfacesExternal}USB.h"
	{PPCC} modemDriver.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}ModemStub.c.x"  {MondoBuild} 											
										ModemStub.c										
										ModemStub.h										
										Modem.h											
										"{USBInterfacesExternal}USB.h"
	{PPCC} ModemStub.c -o {Targ} {PPCCOptions}

{ObjDirPPC}ShimSerialHAL.c.x		{MondoBuild}										
										ShimSerialHAL.c									
										ShimSerialHAL.h									
										Modem.h											
										{CIncludes}CommResources.h						
										{CIncludes}CRMSerialDevices.h					
										{CIncludes}Devices.h							
										{CIncludes}DriverServices.h						
										{CIncludes}Interrupts.h							
										{CIncludes}LowMem.h								
										{CIncludes}NameRegistry.h						
										{CIncludes}Serial.h								
										{CIncludes}Types.h
	{PPCC} ShimSerialHAL.c -o {Targ} {PPCCOptions}

{ObjDirPPC}ShimSerialStub.c.x		{MondoBuild}										
										ShimSerialStub.c								
										ShimSerialStub.h								
										Modem.h											
										{CIncludes}CommResources.h						
										{CIncludes}CRMSerialDevices.h					
										{CIncludes}Devices.h							
										{CIncludes}DriverServices.h						
										{CIncludes}Interrupts.h							
										{CIncludes}LowMem.h								
										{CIncludes}NameRegistry.h						
										{CIncludes}Serial.h								
										{CIncludes}TextUtils.h							
										{CIncludes}Types.h
	{PPCC} ShimSerialStub.c -o {Targ} {PPCCOptions}

Clean 
	Delete -i {ObjectsPPC}
	Delete -i {ModemDriverTarget} 
	Delete -i "{USBReleaseExtensions}{DriverName}"